package cz.cvut.agents.rph.core;

import java.awt.event.ActionListener;

/**
 * Controller of the game.
 * Author: Ondrej Vanek
 * Date: 10/3/12
 * Time: 9:51 AM
 */
public abstract class GameController implements ActionListener {

    /**
     * Model of the game.
     */
    protected GameModel model;

    /**
     * Constructor of the Controller needs model on his input.
     * @param model
     */
    public GameController(GameModel model){
        this.model = model;
    }

    /**
     * Execute the game.
     * @return return a game result.
     * @throws Exception
     */
    public abstract GameResult run() throws Exception;

}
